ApacheAXISとJAX-WS(1)

ApacheAXISとJAX-WS(1)

JavaApacheAXISとJAX-WS(1)

Java で SOAP 通信を簡単に実装しようとすると、Apache AXIS2 か JAX-WS(Java API for XML Web Services)が思い付く。この 2 つで大きく違うのは、JAX-WS が J2EE を使うので、Tomcat 上では動かせないということ。

そこで、JAX-WS を使うのであれば、JBoss や OracleAS 10g などの J2EE に対応したアプリケーションサーバーを使うことになります。Tomcat はバージョン 6 が最新になっていて、Apache2.2 との連携が強化されていて興味あっただけにちょっと残念。まあ、Apache AXIS2 を使えばいいのですが・・・。

JDK も 1.6 が出てますが、主流は 1.5 みたいですね。1.4 も根強くまだまだ残ってるようですが。

最終更新日:

関連記事

人気記事

新着情報